<?php


namespace Shop\Application\Shopping\CreateProviderOrder;


use Shop\Domain\ProviderOrder\Contracts\ProviderOrderEntityInterface;

class Result
{

    /**
     * @var ProviderOrderEntityInterface
     */
    protected $order;

    /**
     * @return ProviderOrderEntityInterface
     */
    public function getOrder(): ProviderOrderEntityInterface
    {
        return $this->order;
    }

    /**
     * @param ProviderOrderEntityInterface $order
     * @return Result
     */
    public function setOrder(ProviderOrderEntityInterface $order): Result
    {
        $this->order = $order;
        return $this;
    }

}